BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(List/Util.pm) perl(PPI.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Test/More.pm) perl(YAML.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.010
%define module_name PPI-Xref
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: unknown
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JH/JHI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
use PPI::Xref;

    my $xref = PPI::Xref->new();  # Constructor.

PPI::Xref can be used to process files of Perl code or Perl code as a
string, and then generate cross-references of its contents.  The code
is never executed, only parsed as a document tree.

NOTE: the cross-reference is not a call graph.  Instead, it is a
statically generated graph of *file inclusions* and named sub definitions.

NOTE: all the use/no/require/do are followed, which means that for
example optional or platform specific modules will fail to be found.
This is expected and fine.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1
- initial import by package builder

